Bug 217932 - [RHEL4] Netdump for 8139cp driver
[RHEL4] Netdump for 8139cp driver
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lalancette
Brian Brock
:
Depends On:
Blocks: 211071
  Show dependency treegraph
 
Reported: 2006-11-30 15:11 EST by Chris Lalancette
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version: RHBA-2007-0304
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-08 00:20:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preliminary patch to add netdump support to 8139cp driver (1.32 KB, patch)
2007-01-04 16:03 EST, Chris Lalancette
no flags Details | Diff
Second try for 8139cp netpoll patch (2.05 KB, patch)
2007-01-08 09:52 EST, Chris Lalancette
no flags Details | Diff
Second try for 8139cp netpoll patch (2.05 KB, patch)
2007-01-08 09:52 EST, Chris Lalancette
no flags Details | Diff

  None (edit)
Description Chris Lalancette 2006-11-30 15:11:44 EST
+++ This bug was initially created as a clone of Bug #217930 +++

Description of problem:
Add support for netdump to the 8139cp driver.  Having the ability to netdump off
of this driver will allow fully virtualized RHEL-4 guests to dump core over the
network.  Given that we don't have any other currently working solution for
dumping core on fully virtualized guests, this is the simplest way to add this
functionality.
     I currently have a patch that seems to enable netdump functionality (at
least, service netdump starts), and can dump the dmesg over the network, but
does not work for dumping the memory pages.  Work is in progress.
Comment 1 Daniel Riek 2007-01-03 14:42:36 EST
I agree that this is imporant for completeness of our Virt solution and we are
doing it for 3.9... Is there any chance to get this done by the freeze date
2007-01-08?
Comment 2 Chris Lalancette 2007-01-03 14:55:21 EST
It's possible that we can get this done, although it has been very
un-cooperative so far.  I'll do some more work on it this week and see if I can
get it working before the deadline.

Chris Lalancette
Comment 3 Chris Lalancette 2007-01-04 16:03:41 EST
Created attachment 144841 [details]
Preliminary patch to add netdump support to 8139cp driver

This is my preliminary patch to get 8139cp netdump running for RHEL-4.	I'm
still testing it, but it looks good so far.
Comment 4 Chris Lalancette 2007-01-04 16:15:17 EST
By the way, the upstream commit that fixed the original problem I was having is
here:

http://kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=d15e9c4d9a75702b30e00cdf95c71c88e3f3f51e

That, combined with my modifications, seems to make it work.
Comment 5 Chris Lalancette 2007-01-08 09:52:02 EST
Created attachment 145057 [details]
Second try for 8139cp netpoll patch
Comment 6 Chris Lalancette 2007-01-08 09:52:06 EST
Created attachment 145058 [details]
Second try for 8139cp netpoll patch
Comment 8 Jason Baron 2007-01-10 14:19:57 EST
committed in stream U5 build 42.40. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 11 Chris Lalancette 2007-01-15 10:49:16 EST
Don Domingo,
     We probably want to change this release note to be something like:

<quote> 
8139cp networking driver now supports netdump - this enables fully virtualized
RHEL-4 Xen guests to netdump
</quote>

Chris Lalancette
Comment 13 Jay Turner 2007-01-18 15:42:02 EST
QE ack for RHEL4.5.
Comment 16 Red Hat Bugzilla 2007-05-08 00:20:16 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0304.html

Note You need to log in before you can comment on or make changes to this bug.